cutlass::library::OperationDescription Struct Reference

High-level description of an operation.

`#include <library.h>`

Inheritance diagram for cutlass::library::OperationDescription:
[legend]
Collaboration diagram for cutlass::library::OperationDescription:
[legend]

## Public Member Functions

| OperationDescription (char const *name="unknown", OperationKind kind=OperationKind::kInvalid, TileDescription const &tile_description=TileDescription())

## Public Attributes

char const * | name
| Unique identifier describing the operation. More...
OperationKind | kind
| Kind of operation. More...
TileDescription | tile_description
| Describes the tiled structure of a GEMM-like computation. More...

## Constructor & Destructor Documentation

cutlass::library::OperationDescription::OperationDescription | ( | char const * | name = `"unknown"`,
|  | OperationKind | kind = `OperationKind::kInvalid`,
|  | TileDescription const & | tile_description = `TileDescription()`
| ) |  |

inline

## Member Data Documentation

OperationKind cutlass::library::OperationDescription::kind

char const* cutlass::library::OperationDescription::name

TileDescription cutlass::library::OperationDescription::tile_description

The documentation for this struct was generated from the following file:

- library.h